core / TransactionGraphSearch

# TransactionGraphSearch

`class TransactionGraphSearch : Callable<List<WireTransaction>>`

Given a map of transaction id to SignedTransaction, performs a breadth first search of the dependency graph from the starting point down in order to find transactions that match the given query criteria.

Currently, only one kind of query is supported: find any transaction that contains a command of the given type.

In future, this should support restricting the search by time, and other types of useful query.

TODO: Write unit tests for this.

### Types

Query | `class Query`

### Constructors

<init> | `TransactionGraphSearch(transactions: Map<SecureHash, SignedTransaction>, startPoints: List<WireTransaction>)` Given a map of transaction id to SignedTransaction, performs a breadth first search of the dependency graph from the starting point down in order to find transactions that match the given query criteria.

### Properties

query | `var query: Query`
startPoints | `val startPoints: List<WireTransaction>`
transactions | `val transactions: Map<SecureHash, SignedTransaction>`

### Functions

call | `fun call(): List<WireTransaction>`